'-----------------------------------------------------
'Construction activity mapping equations
'Program written by Trent Saunders
'-----------------------------------------------------

smpl 1988 %ed

'-------------------
'Chain volume
'-------------------

'Approvals to commencements (private and public)
equation eq_chousevol.ls 	dlog(chousevol) c log(bahousevol(-1))-log(chousevol(-1)) dlog(bahousevol) gst(-1)	
equation eq_cothervol.ls 		dlog(cothervol) c log(cothervol(-1))-log(baothervol(-1)) dlog(baothervol) dlog(baothervol(-1)) dlog(baothervol(-2)) dlog(cothervol(-1)) dlog(cothervol(-2)) gst(-1)
equation eq_caavol.ls 			dlog(caavol) c log(caavol(-1))-log(baaavol(-1)) dlog(baaavol) dlog(baaavol(-1)) gst(-1)

'Commencements to work done (private)
equation eq_wdhousevol.ls 	dlog(wdhousevol) c log(wdhousevol(-1))-log(chousevol_private(-1)) dlog(wdhousevol(-1)) dlog(wdhousevol(-2)) dlog(chousevol_private) gst(0 to -1) 
equation eq_wdothervol.ls 	dlog(wdothervol) c log(wdothervol(-1))-log(cothervol_private(-1)) dlog(cothervol_private) dlog(cothervol_private(-1)) dlog(cothervol_private(-2)) dlog(cothervol_private(-3)) gst(0 to -1)
equation eq_wdaavol.ls 		dlog(wdaavol) c log(wdaavol(-1))-log(caavol_private(-1)) dlog(caavol_private) gst(0 to -1)

'Public commencements
equation eq_chousevol_public.ls dlog(chousevol_public) c	log(chousevol_public(-1)) dlog(chousevol_public(-1)) dlog(chousevol_public(-2)) dlog(chousevol_public(-3)) 	
equation eq_cothervol_public.ls 	 dlog(cothervol_public) c log(cothervol_public(-1)) dlog(cothervol_public(-1)) dlog(cothervol_public(-2)) dlog(cothervol_public(-3)) 
equation eq_caavol_public.ls		 dlog(caavol_public) c log(caavol_public(-1)) dlog(caavol_public(-1)) dlog(caavol_public(-2)) dlog(caavol_public(-3)) 

'-------------------
'Number 
'-------------------

'Approvals to commencements (private and public)
equation eq_chouseno.ls dlog(chouseno) c log(bahouseno(-1))-log(chouseno(-1)) dlog(bahouseno) gst(0 to -1)	
equation eq_cotherno.ls 	dlog(cotherno) c log(baotherno(-1))-log(cotherno(-1)) dlog(baotherno) gst(-1)	

'Commencements to completions (private and public)
equation eq_comphouseno.ls 	dlog(comphouseno)  c log(comphouseno(-1))-log(chouseno(-1)) gst(0 to -1) dlog(chouseno) 
equation eq_compotherno.ls 	dlog(compotherno) c log(compotherno(-1))-log(cotherno(-1)) gst(0 to -1) dlog(cotherno) dlog(cotherno(-1))  dlog(compotherno(-1)) 

'-------------------
'Deflator
'-------------------
equation eq_ipd_natdi.ls dlog(ipd_natdi) c dlog(ipd_natdi(-1)) gst(-1) gst(-2)

'Update progress table
!progress_row = !progress_row+1
progress(!progress_row,1) = "3_construction_mapping_eqns"


